# Edit voice
Source: https://docs.mserve.ai/docs/api-reference/voice/post-voices-voice_id-edit

Method: POST /elevenlabs/v1/voices/{voice_id}/edit
Base URL: https://api.mserve.ai

```json
{
  "path": "/elevenlabs/v1/voices/{voice_id}/edit",
  "method": "POST",
  "summary": "Edit voice",
  "operationId": "edit_voice_elevenlabs_v1_voices__voice_id__edit_post",
  "parameters": [
    {
      "name": "voice_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "title": "Voice Id"
      }
    },
    {
      "name": "authorization",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Authorization"
      }
    },
    {
      "name": "xi-api-key",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Xi-Api-Key"
      }
    }
  ],
  "requestBody": {
    "content": {
      "multipart/form-data": {
        "schema": {
          "$ref": "#/components/schemas/Body_edit_voice_elevenlabs_v1_voices__voice_id__edit_post"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {}
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "tags": [
    "Voice"
  ]
}
```